%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Error
Version:       0.17030
Release:       1mamba
Summary:       Error - Error/exception handling in an OO-ish way
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://search.cpan.org/CPAN/authors/id/S/SH/SHLOMIF/Error-%{version}.tar.gz
License:       GPL, Artistic
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-Scalar-List-Utils
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver
BuildRequires: perl-devel >= %perl_major_ver

%description
Error - Error/exception handling in an OO-ish way.

%prep
%setup -q -n Error-%{version}

%build
perl Build.PL installdirs=vendor
./Build
./Build test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
./Build install \
   destdir="%{buildroot}" \
   --install_path bindoc="%{_mandir}/man1" \
   --install_path libdoc="%{_mandir}/man3"

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

find %{buildroot}%{perl_vendorlib} \
   -type d -depth -exec rmdir {} 2>/dev/null \;

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo %dir ${dir#%buildroot} >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Wed Feb 19 2025 Automatic Build System <autodist@openmamba.org> 0.17030-1mamba
- automatic version update by autodist

* Mon Apr 20 2020 Automatic Build System <autodist@mambasoft.it> 0.17029-1mamba
- automatic update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 0.17025-1mamba
- automatic update by autodist

* Sun Jun 07 2015 Automatic Build System <autodist@mambasoft.it> 0.17024-1mamba
- automatic update by autodist

* Sun Mar 01 2015 Automatic Build System <autodist@mambasoft.it> 0.17023-1mamba
- automatic update by autodist

* Tue Feb 25 2014 Automatic Build System <autodist@mambasoft.it> 0.17022-1mamba
- automatic update by autodist

* Sun Sep 01 2013 Automatic Build System <autodist@mambasoft.it> 0.17021-1mamba
- automatic update by autodist

* Fri May 10 2013 Automatic Build System <autodist@mambasoft.it> 0.17020-1mamba
- automatic version update by autodist

* Wed Nov 21 2012 Automatic Build System <autodist@mambasoft.it> 0.17019-1mamba
- update to 0.17019

* Thu Aug 09 2012 Automatic Build System <autodist@mambasoft.it> 0.17018-1mamba
- automatic version update by autodist

* Wed Feb 15 2012 Automatic Build System <autodist@mambasoft.it> 0.17017-1mamba
- automatic version update by autodist

* Wed Jan 13 2010 Automatic Build System <autodist@mambasoft.it> 0.17016-1mamba
- automatic update by autodist

* Thu Feb 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.17015-1mamba
- automatic update by autodist

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.17010-2mamba
- automatic rebuild by autodist

* Wed Dec 12 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.17010-1mamba
- package created by autospec
